import React,{useEffect} from 'react';
import { Select } from 'antd';
const { Option } = Select;

const Relationship = (props:any) => {

  const { value, onChange }=props
  
  useEffect(()=>{
    onChange("0")
  },[])
  const handleChange=(values:any)=>{
    onChange(values)
  }
  return (
    <>
    <Select defaultValue="0" style={{ width: 120 }} onChange={handleChange} allowClear>
      <Option value="0">Oneself</Option>
      <Option value="1">Family Members</Option>
      <Option value="2">Tenant</Option>
    </Select>
    </>
  );
};

export default Relationship;
